import dynamix_sdk.base as _base
import dynamix_sdk.api._nested as _nested


class CloudapiK8ciGetResultModel(_base.BaseAPIResultModel):
    id: int
    name: str
    version: str
    description: str
    network_plugins: list[_nested.K8sNetworkPlugin]


class CloudapiK8ciGetProtocol(_base.BasePostAPIFunctionProtocol):
    def get(
        self,
        *,
        k8ci_id: int,
    ) -> CloudapiK8ciGetResultModel:
        ...
